#delimit ;
*************************************************************
*                                                           *
*    Name    : CLCINCTL.DO              V : 01              *
*    Date    : 27 FEB 2005                                  *
*    Infile  : COVER and all income files                   *
*    Outfile : INCOME04                                     *
*                                                           *
*    OBJECTIVE: Sum the components of monthly income        *
*                                                           *
*************************************************************;;

global IN  = "c:\data\kids3\version1.1";
global OUT = "c:\data\kids3\version1.1\constructed";

clear;
use hhid2004 using $IN\cover ;
sort hhid ; save $OUT\income04, replace ;


**----------------------------------------------------------------------**;

** IMPUTED RENT from HHYHOUS.DTA created by CLCYHOUS.DO                 **;;

merge hhid using $OUT\hhyhous ;
tab _merge; drop _merge ;
sort hhid ; save $OUT\income04, replace ;


**----------------------------------------------------------------------**;

** AGRICULTURAL INCOME from HHYAGR.DTA created by CLCYAGR.DO            **;;

use hhid hhyagr flagAg using $OUT\hhyagr ;
merge hhid using $OUT\income04 ;
assert _merge == 3 ; drop _merge ; 
sort hhid ; save $OUT\income04, replace ;


**----------------------------------------------------------------------**;

** REMITTANCES from HHYREM created by CLCYREM.DO                        **;;

use hhid hhyrem flagremr using $OUT\hhyrem ;
merge hhid using $OUT\income04 ;
assert _merge == 3 ; drop _merge ;
sort hhid ; save $OUT\income04, replace ;


**----------------------------------------------------------------------**;

** REGULAR WAGE INCOME from HHYREG created by CLCYREG.DO                **;;

use hhid hhnwage monthtvl montheat monthhse flag* using $OUT\hhyreg ;
merge hhid using $OUT\income04 ;
assert _merge == 3; drop _merge;
sort hhid ; save $OUT\income04, replace ;


**----------------------------------------------------------------------**;

** CASUAL WAGE INCOME from HHYCAS created by CLCYCAS.DO                 **;;

use hhid hhycas flag using $OUT\hhycas ;
merge hhid using $OUT\income04 ;
assert _merge == 3; drop _merge ;
sort hhid ; save $OUT\income04, replace ;


**----------------------------------------------------------------------**;

** SELF-EMPLOYMENT INCOME from HHYSEMP created by CLCYSEMP.DO           **;;

merge hhid using $OUT\hhysemp ;
assert _merge == 3; drop _merge;
sort hhid ; save $OUT\income04, replace ;


**----------------------------------------------------------------------**;

** NON-LABOUR INCOME from HHYNLAB created by CLCYNLAB.DO                **;;

use hhid nonlabY flag using $OUT\hhynlab ;

merge hhid using $OUT\income04 ;
drop _merge;
recode nonlabY .=0;
recode flagnl .=0;
sort hhid ; save $OUT\income04, replace ;

**----------------------------------------------------------------------**;



gen totminc = rentimp  + hhyagr + hhyrem + hhnwage + monthtvl + montheat + 
              monthhse + hhycas + hhysemp + nonlabY ;
     

label var totminc "04: Total monthly income" ;
label data "2004 Total Income" ;

note: Total income cannot be computed for N (foster) households; 

compress;
sort hhid;
save $OUT\income04, replace;

exit ;

